> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export an end user email as an EML file

> Export an end user email as an EML file. Attachments are not included.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_emails/{heron_id}/export
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_emails/{heron_id}/export:
    get:
      tags:
        - EndUserEmails
      summary: Export an end user email as an EML file
      description: Export an end user email as an EML file. Attachments are not included.
      parameters:
        - description: The heron_id of the email to export
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            message/rfc822:
              schema:
                format: binary
                type: string
          description: OK
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````